org.apache.maven.plugin.registry

## Class DefaultPluginRegistryBuilder

- java.lang.Object
- - AbstractLogEnabled
  - - org.apache.maven.plugin.registry.DefaultPluginRegistryBuilder

- All Implemented Interfaces:
    MavenPluginRegistryBuilder

      public class DefaultPluginRegistryBuilder
      extends AbstractLogEnabled
      implements MavenPluginRegistryBuilder

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `userHome`

    - ### Fields inherited from interface org.apache.maven.plugin.registry.MavenPluginRegistryBuilder

      `ALT_GLOBAL_PLUGIN_REG_LOCATION, ALT_USER_PLUGIN_REG_LOCATION, ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultPluginRegistryBuilder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `PluginRegistry` | `buildPluginRegistry()`
    `PluginRegistry` | `createUserPluginRegistry()`
    `void` | `initialize()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### userHome

          public static final java.lang.String userHome

  - ### Constructor Detail

    - #### DefaultPluginRegistryBuilder

          public DefaultPluginRegistryBuilder()

  - ### Method Detail

    - #### initialize

          public void initialize()

    - #### buildPluginRegistry

          public PluginRegistry buildPluginRegistry()
                                             throws java.io.IOException,
                                                    XmlPullParserException

      Specified by:
        `buildPluginRegistry` in interface `MavenPluginRegistryBuilder`
      Throws:
        `java.io.IOException`
        `XmlPullParserException`

    - #### createUserPluginRegistry

          public PluginRegistry createUserPluginRegistry()

      Specified by:
        `createUserPluginRegistry` in interface `MavenPluginRegistryBuilder`